api/urls.py
from django.urls import path, include
from .views import ProductoList, ProductoDetalle

urlpatterns = [
    path('v1/productos/',ProductoList.as_view(),name='producto_list'),
    path('v1/productos/<str:codigo>',ProductoDetalle.as_view(),name='producto_detalle'),
]

app/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [

    path('',include(('bases.urls','bases'), namespace='bases')),
    path('inv/',include(('inv.urls','inv'), namespace='inv')),
    path('cmp/', include(('cmp.urls', 'cmp'), namespace='cmp')),
    path('fac/', include(('fac.urls', 'fac'), namespace='fac')),
    path('api/', include(('api.urls', 'api'), namespace='api')),
    
    path('admin/', admin.site.urls),
]

inv/urls.py
from django.urls import path

from .views import CategoriaView, CategoriaNew, CategoriaEdit, \
    CategoriaDel, \
    SubCategoriaView, SubCategoriaNew, SubCategoriaEdit, SubCategoriaDel, \
    MarcaView, MarcaNew, MarcaEdit, marca_inactivar, \
    UMView, UMNew, UMEdit, um_inactivar,\
    ProductoView, ProductoEdit, ProductoNew, producto_inactivar

urlpatterns = [
    path('categorias/',CategoriaView.as_view(), name='categoria_list'),
    path('categorias/new',CategoriaNew.as_view(), name='categoria_new'),
    path('categorias/edit/<int:pk>',CategoriaEdit.as_view(), name='categoria_edit'),
    path('categorias/delete/<int:pk>',CategoriaDel.as_view(), name='categoria_del'),

    path('subcategorias/',SubCategoriaView.as_view(), name='subcategoria_list'),
    path('subcategorias/new',SubCategoriaNew.as_view(), name='subcategoria_new'),
    path('subcategorias/edit/<int:pk>',SubCategoriaEdit.as_view(), name='subcategoria_edit'),
    path('subcategorias/delete/<int:pk>',SubCategoriaDel.as_view(), name='subcategoria_del'),

    path('marcas/',MarcaView.as_view(), name="marca_list"),
    path('marcas/new',MarcaNew.as_view(), name="marca_new"),
    path('marcas/edit/<int:pk>',MarcaEdit.as_view(), name="marca_edit"),
    path('marcas/inactivar/<int:id>',marca_inactivar, name="marca_inactivar"),

    path('um/',UMView.as_view(), name="um_list"),
    path('um/new',UMNew.as_view(), name="um_new"),
    path('um/edit/<int:pk>',UMEdit.as_view(), name="um_edit"),
    path('um/inactivar/<int:id>',um_inactivar, name="um_inactivar"),

    path('productos/',ProductoView.as_view(), name="producto_list"),
    path('productos/new',ProductoNew.as_view(), name="producto_new"),
    path('productos/edit/<int:pk>',ProductoEdit.as_view(), name="producto_edit"),
    path('productos/inactivar/<int:id>',producto_inactivar, name="producto_inactivar"),
]

bases/models.py
from django.db import models

from django.contrib.auth.models import User
from django_userforeignkey.models.fields import UserForeignKey


class ClaseModelo(models.Model):
    estado = models.BooleanField(default=True)
    fc = models.DateTimeField(auto_now_add=True)
    fm = models.DateTimeField(auto_now=True)
    uc = models.ForeignKey(User, on_delete=models.CASCADE)
    um = models.IntegerField(blank=True,null=True)

    class Meta:
        abstract=True


class ClaseModelo2(models.Model):
    estado = models.BooleanField(default=True)
    fc = models.DateTimeField(auto_now_add=True)
    fm = models.DateTimeField(auto_now=True)
    # uc = models.ForeignKey(User, on_delete=models.CASCADE)
    # um = models.IntegerField(blank=True,null=True)
    uc = UserForeignKey(auto_user_add=True,related_name='+')
    um = UserForeignKey(auto_user=True,related_name='+')

    class Meta:
        abstract=True

inv/models.py
from django.db import models

from bases.models import ClaseModelo

class Categoria(ClaseModelo):
    descripcion = models.CharField(
        max_length=100,
        help_text='Descripción de la Categoría',
        unique=True
    )

    def __str__(self):
        return '{}'.format(self.descripcion)

    def save(self):
        self.descripcion = self.descripcion.upper()
        super(Categoria, self).save()

    class Meta:
        verbose_name_plural= "Categorias"


class SubCategoria(ClaseModelo):
    categoria = models.ForeignKey(Categoria, on_delete=models.CASCADE)
    descripcion = models.CharField(
        max_length=100,
        help_text='Descripción de la Categoría'
    )

    def __str__(self):
        return '{}:{}'.format(self.categoria.descripcion,self.descripcion)
    
    def save(self):
        self.descripcion = self.descripcion.upper()
        super(SubCategoria, self).save()

    class Meta:
        verbose_name_plural= "Sub Categorias"
        unique_together = ('categoria','descripcion')


class Marca(ClaseModelo):
    descripcion = models.CharField(
        max_length=100,
        help_text='Descripción de la Marca',
        unique=True
    )

    def __str__(self):
        return '{}'.format(self.descripcion)

    def save(self):
        self.descripcion = self.descripcion.upper()
        super(Marca, self).save()

    class Meta:
        verbose_name_plural = "Marca"


class UnidadMedida(ClaseModelo):
    descripcion = models.CharField(
        max_length=100,
        help_text='Descripción de la Unidad Medida',
        unique=True
    )

    def __str__(self):
        return '{}'.format(self.descripcion)

    def save(self):
        self.descripcion = self.descripcion.upper()
        super(UnidadMedida, self).save()

    class Meta:
        verbose_name_plural = "Unidades de Medida"


class Producto(ClaseModelo):
    codigo = models.CharField(
        max_length=20,
        unique=True
    )
    codigo_barra = models.CharField(max_length=50)
    descripcion = models.CharField(max_length=200)
    precio = models.FloatField(default=0)
    existencia = models.IntegerField(default=0)
    ultima_compra = models.DateField(null=True, blank=True)

    marca = models.ForeignKey(Marca, on_delete=models.CASCADE)
    unidad_medida = models.ForeignKey(UnidadMedida, on_delete=models.CASCADE)
    subcategoria = models.ForeignKey(SubCategoria, on_delete=models.CASCADE)

    def __str__(self):
        return '{}'.format(self.descripcion)
    
    def save(self):
        self.descripcion = self.descripcion.upper()
        super(Producto,self).save()
    
    class Meta:
        verbose_name_plural = "Productos"
        unique_together = ('codigo','codigo_barra')

inv/views.py
from django.shortcuts import render, redirect
from django.views import generic
from django.urls import reverse_lazy
from django.contrib import messages

from django.contrib.messages.views import SuccessMessageMixin
from django.contrib.auth.decorators import login_required, permission_required


from .models import Categoria,SubCategoria, Marca, UnidadMedida, \
    Producto
from .forms import CategoriaForm, SubCategoriaForm, MarcaForm, \
    UMForm, ProductoForm

from bases.views import SinPrivilegios


class CategoriaView(SinPrivilegios, \
    generic.ListView):
    permission_required = "inv.view_categoria"
    model = Categoria
    template_name = "inv/categoria_list.html"
    context_object_name = "obj"
    


class CategoriaNew(SuccessMessageMixin,SinPrivilegios,\
    generic.CreateView):
    permission_required="inv.add_categoria"
    model=Categoria
    template_name="inv/categoria_form.html"
    context_object_name = "obj"
    form_class=CategoriaForm
    success_url=reverse_lazy("inv:categoria_list")
    success_message="Categoria Creada Satisfactoriamente"

    def form_valid(self, form):
        form.instance.uc = self.request.user
        return super().form_valid(form)


class CategoriaEdit(SuccessMessageMixin,SinPrivilegios, \
    generic.UpdateView):
    permission_required="inv.change_categoria"
    model=Categoria
    template_name="inv/categoria_form.html"
    context_object_name = "obj"
    form_class=CategoriaForm
    success_url=reverse_lazy("inv:categoria_list")
    success_message="Categoria Actualizada Satisfactoriamente"

    def form_valid(self, form):
        form.instance.um = self.request.user.id
        return super().form_valid(form)

class CategoriaDel(SuccessMessageMixin,SinPrivilegios, generic.DeleteView):
    permission_required="inv.delete_categoria"
    model=Categoria
    template_name='inv/catalogos_del.html'
    context_object_name='obj'
    success_url=reverse_lazy("inv:categoria_list")
    success_message="Categoría Eliminada Satisfactoriamente"


class SubCategoriaView(SinPrivilegios, \
    generic.ListView):
    permission_required = "inv.view_subcategoria"
    model = SubCategoria
    template_name = "inv/subcategoria_list.html"
    context_object_name = "obj"


class SubCategoriaNew(SuccessMessageMixin,SinPrivilegios, generic.CreateView):
    model=SubCategoria
    template_name="inv/subcategoria_form.html"
    context_object_name = "obj"
    form_class=SubCategoriaForm
    success_url=reverse_lazy("inv:subcategoria_list")
    success_message="Sub Categoría Creada Satisfactoriamente"
    permission_required="inv.add_subcategoria"

    def form_valid(self, form):
        form.instance.uc = self.request.user
        return super().form_valid(form)


class SubCategoriaEdit(SuccessMessageMixin,SinPrivilegios, generic.UpdateView):
    model=SubCategoria
    template_name="inv/subcategoria_form.html"
    context_object_name = "obj"
    form_class=SubCategoriaForm
    success_url=reverse_lazy("inv:subcategoria_list")
    success_message="Sub Categoría Actualizada Satisfactoriamente"
    permission_required="inv.change_subcatetoria"

    def form_valid(self, form):
        form.instance.um = self.request.user.id
        return super().form_valid(form)

class SubCategoriaDel(SuccessMessageMixin,SinPrivilegios, generic.DeleteView):
    model=SubCategoria
    template_name='inv/catalogos_del.html'
    context_object_name='obj'
    success_url=reverse_lazy("inv:subcategoria_list")
    success_message="Sub Categoría Eliminada"
    permission_required="inv.delete_subcategoria"


class MarcaView(SinPrivilegios,\
     generic.ListView):
    permission_required = "inv.view_marca"
    model = Marca
    template_name = "inv/marca_list.html"
    context_object_name = "obj"


class MarcaNew(SuccessMessageMixin,SinPrivilegios,
                   generic.CreateView):
    model=Marca
    template_name="inv/marca_form.html"
    context_object_name = 'obj'
    form_class=MarcaForm
    success_url= reverse_lazy("inv:marca_list")
    success_message="Marca Creada"
    permission_required="inv.add_marca"

    def form_valid(self, form):
        form.instance.uc = self.request.user
        return super().form_valid(form)


class MarcaEdit(SuccessMessageMixin,SinPrivilegios,
                   generic.UpdateView):
    model=Marca
    template_name="inv/marca_form.html"
    context_object_name = 'obj'
    form_class=MarcaForm
    success_url= reverse_lazy("inv:marca_list")
    success_message="Marca Editada"
    permission_required="inv.change_marca"

    def form_valid(self, form):
        form.instance.um = self.request.user.id
        return super().form_valid(form)


@login_required(login_url='/login/')
@permission_required('inv.change_marca', login_url='bases:sin_privilegios')
def marca_inactivar(request, id):
    marca = Marca.objects.filter(pk=id).first()
    contexto={}
    template_name="inv/catalogos_del.html"


    if not marca:
        return redirect("inv:marca_list")
    
    if request.method=='GET':
        contexto={'obj':marca}
    
    if request.method=='POST':
        marca.estado=False
        marca.save()
        messages.success(request, 'Marca Inactivada')
        return redirect("inv:marca_list")

    return render(request,template_name,contexto)


class UMView(SinPrivilegios, generic.ListView):
    model = UnidadMedida
    template_name = "inv/um_list.html"
    context_object_name = "obj"
    permission_required="inv.view_unidadmedida"


class UMNew(SuccessMessageMixin,SinPrivilegios,
                   generic.CreateView):
    model=UnidadMedida
    template_name="inv/um_form.html"
    context_object_name = 'obj'
    form_class=UMForm
    success_url= reverse_lazy("inv:um_list")
    success_message="Unidad Medida Creada"
    permission_required="inv.add_unidadmedida"

    def form_valid(self, form):
        form.instance.uc = self.request.user
        print(self.request.user.id)
        return super().form_valid(form)


class UMEdit(SuccessMessageMixin,SinPrivilegios,
                   generic.UpdateView):
    model=UnidadMedida
    template_name="inv/um_form.html"
    context_object_name = 'obj'
    form_class=UMForm
    success_url= reverse_lazy("inv:um_list")
    success_message="Unidad Medida Editada"
    permission_required="inv.change_unidadmedida"

    def form_valid(self, form):
        form.instance.um = self.request.user.id
        print(self.request.user.id)
        return super().form_valid(form)


@login_required(login_url="/login/")
@permission_required("inv.change_unidadmedida",login_url="/login/")
def um_inactivar(request, id):
    um = UnidadMedida.objects.filter(pk=id).first()
    contexto={}
    template_name="inv/catalogos_del.html"

    if not um:
        return redirect("inv:um_list")
    
    if request.method=='GET':
        contexto={'obj':um}
    
    if request.method=='POST':
        um.estado=False
        um.save()
        return redirect("inv:um_list")

    return render(request,template_name,contexto)


class ProductoView(SinPrivilegios, generic.ListView):
    model = Producto
    template_name = "inv/prducto_list.html"
    context_object_name = "obj"
    permission_required="inv.view_producto"


class ProductoNew(SuccessMessageMixin,SinPrivilegios,
                   generic.CreateView):
    model=Producto
    template_name="inv/producto_form.html"
    context_object_name = 'obj'
    form_class=ProductoForm
    success_url= reverse_lazy("inv:producto_list")
    success_message="Producto Creado"
    permission_required="inv.add_producto"

    def form_valid(self, form):
        form.instance.uc = self.request.user
        return super().form_valid(form)
    
    def get_context_data(self, **kwargs):
        context = super(ProductoNew, self).get_context_data(**kwargs)
        context["categorias"] = Categoria.objects.all()
        context["subcategorias"] = SubCategoria.objects.all()
        return context



class ProductoEdit(SuccessMessageMixin,SinPrivilegios,
                   generic.UpdateView):
    model=Producto
    template_name="inv/producto_form.html"
    context_object_name = 'obj'
    form_class=ProductoForm
    success_url= reverse_lazy("inv:producto_list")
    success_message="Producto Editado"
    permission_required="inv.change_producto"

    def form_valid(self, form):
        form.instance.um = self.request.user.id
        return super().form_valid(form)
    
    def get_context_data(self, **kwargs):
        pk = self.kwargs.get('pk')

        context = super(ProductoEdit, self).get_context_data(**kwargs)
        context["categorias"] = Categoria.objects.all()
        context["subcategorias"] = SubCategoria.objects.all()
        context["obj"] = Producto.objects.filter(pk=pk).first()

        return context


@login_required(login_url="/login/")
@permission_required("inv.change_producto",login_url="/login/")
def producto_inactivar(request, id):
    prod = Producto.objects.filter(pk=id).first()
    contexto={}
    template_name="inv/catalogos_del.html"

    if not prod:
        return redirect("inv:producto_list")
    
    if request.method=='GET':
        contexto={'obj':prod}
    
    if request.method=='POST':
        prod.estado=False
        prod.save()
        return redirect("inv:producto_list")

    return render(request,template_name,contexto)

inv/templates/inv/categoria_list.html
{% extends 'base/base.html' %}

{% block page_content %}
<div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
      <h6 class="m-0 font-weight-bold text-primary">Listado de Categorías</h6>
      <div class="dropdown no-arrow">
        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
        </a>
        <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
          <div class="dropdown-header">Acciones</div>
          <a class="dropdown-item" href="{% url 'inv:categoria_new' %}"><i class="far fa-calendar-plus"></i> Nueva</a>
          <a class="dropdown-item" href="#">Another action</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#">Something else here</a>
        </div>
      </div>
    </div>
    <!-- Card Body -->
    <div class="card-body">
      {% if not obj %}
      <div class="alert alert-info">No hay categorías</div>
      {% else %}
      <table class="table table-striped table-hover">
          <thead>
              <th>Id</th>
              <th>Descripción</th>
              <th>Estado</th>
              <th>F. Creado</th>
              <th>F. Modif.</th>
              <th class="all">Acciones</th>
          </thead>
          <tbody>
              {% for item in obj %}
              <tr>
                  <td>{{ item.id }}</td>
                  <td>{{ item.descripcion }}</td>
                  <td>{{ item.estado|yesno:"Activo,Inactivo" }}</td>
                  <td>{{ item.fc|date:"d/m/Y H:i:s" }}</td>
                  <td>{{ item.fm|date:"d/m/Y H:i:s" }}</td>
                  <td>
                    <a href="{% url 'inv:categoria_edit' item.id %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a> 
                    <a href="{% url 'inv:categoria_del' item.id %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
                  </td>
              </tr>
              {% endfor %}
          </tbody>
      </table>
      {% endif %}
    </div>
  </div>
{% endblock %}

{% block js_page %}
<script>
  // Call the dataTables jQuery plugin
  $(document).ready(function() {
    $('.table').DataTable();
  });
</script>
{% endblock %}

inv/templates/inv/marca_list.html
{% extends 'base/base.html' %}

{% block page_content %}
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">Listado de Unidad de Marca</h6>
    <div class="dropdown no-arrow">
      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Acciones:</div>
        <a class="dropdown-item" href="{% url 'inv:marca_new' %}"><i class="far fa-calendar-plus"></i> Nueva</a>
      </div>
    </div>
  </div>
  <!-- Card Body -->
  <div class="card-body">
    {% if not obj %}
    <div class="alert alert-info">No hay Marca</div>
    {% endif %}
    <table class="table table-striped table-hover">
      <thead>
        <th>Id</th>
        <th>Descripción</th>
        <th>Estado</th>
        <th>F. Creado</th>
        <th>F. Modif</th>
        <th class="all">Acciones</th>
      </thead>
      <tbody>
        {% for item in obj%}
        <tr>
          <td>{{ item.id }}</td>
          <td>{{ item.descripcion }}</td>
          <td>{{item.estado|yesno:"Activo,Inactivo"}}</td>
          <td>{{ item.fc|date:"d/m/Y H:i:s" }}</td>
          <td>{{ item.fm|date:"d/m/Y H:i:s"}}</td>
          <td>
            <a href="{% url 'inv:marca_edit' item.id %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a> 
            <a href="{% url 'inv:marca_inactivar' item.id %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-thumbs-down"></i></a>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
{% endblock %}
{% block js_page %}
<script>
// Call the dataTables jQuery plugin
$(document).ready(function() {
  $('.table').DataTable();
});
</script>
{% endblock %}

inv/templates/inv/producto_form.html
<div class="modal-dialog modal-lg">
    <div class="modal-content">
        {% if obj %}
        <form method="POST" role="form" class="form-inline" action="{% url 'inv:producto_edit' obj.pk %}" >
        {% else %}
        <form method="POST" role="form" class="form-inline" action="{% url 'inv:producto_new' %}" >
        {% endif %}
            <div class="col-xl-12 col-md-12 mb-12">
                {% if obj %}
                <div class="card border-left-warning shadow h-100 py-2">
                {% else %}
                <div class="card border-left-success shadow h-100 py-2">
                {% endif %}
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                    <div class="col mr-2">
                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                            {% if obj %} Editar {% else %} Nueva {% endif %} Producto
                        </div>
                        <div class="dropdown-divider"></div>
                        {% csrf_token %}
                        <div class="row">
                            {#{ form.as_p }#}
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="col-md-6">{{form.codigo.label}}</div>
                                <div class="col-md-6">{{form.codigo}}</div>
                            </div>

                            <div class="col-md-6">
                                <div class="col-md-6">{{form.codigo_barra.label}}</div>
                                <div class="col-md-6">{{form.codigo_barra}}</div>    
                            </div>                            
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="col-md-6">{{form.descripcion.label}}</div>
                                <div class="col-md-6">{{form.descripcion}}</div>
                            </div>

                            <div class="col-md-6">
                                <div class="col-md-6">{{form.estado.label}}</div>
                                <div class="col-md-6">{{form.estado}}</div>    
                            </div>                            
                        </div>
                        
                        <div class="row">
                            <div class="col-md-6">
                                <div class="col-md-6">{{form.precio.label}}</div>
                                <div class="col-md-6">{{form.precio}}</div>
                            </div>

                            <div class="col-md-6">
                                <div class="col-md-6">{{form.existencia.label}}</div>
                                <div class="col-md-6">{{form.existencia}}</div>    
                            </div>                            
                        </div>

                        <div class="row">
                            <div class="col-md-4">
                                <div class="col-md-6">{{form.ultima_compra.label}}</div>
                                <div class="col-md-6">{{form.ultima_compra}}</div>
                            </div>

                            <div class="col-md-4">
                                <div class="col-md-6">{{form.marca.label}}</div>
                                <div class="col-md-6">{{form.marca}}</div>    
                            </div>     
                            <div class="col-md-4">
                                <div class="col-md-6">{{form.unidad_medida.label}}</div>
                                <div class="col-md-6">{{form.unidad_medida}}</div>    
                            </div>                        
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <div class="col-md-6">Categoría</div>
                                <div class="col-md-6">
                                    <select name="categoria" id="id_categoria" class="form-control from-control-sm">
                                        <option value="0">-------</option>
                                        {% for item in categorias %}
                                        <option value="{{item.id}}">{{item.descripcion}}</option>
                                        {% endfor%}
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="col-md-6">Sub Categoría</div>
                                <div class="col-md-6">
                                    <select name="subcategoria" id="id_subcategoria" class="form-control from-control-sm">
                                        <option value="0">-------</option>
                                        {% for item in subcategorias %}
                                        <option value="{{item.id}}" data-chained="{{item.categoria.id}}">{{item.descripcion}}</option>
                                        {% endfor%}
                                    </select>
                                </div>
                            </div>                           
                        </div>

                        <div class="dropdown-divider"></div>
                        <div class="row">
                            <div class="col">
                                <button type="submit" class="btn btn-danger"><span class="fa fa-save"></span> Guardar</button>
                                <!-- <a href="{% url 'inv:um_list' %}" class="btn btn-success"><span class="fa fa-undo"></span>Cancelar</a> -->
                                <button type="button" class="btn btn-success" onclick="return cerrar_modal()">
                                    Cancelar
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="col-auto">
                        <i class="far fa-calendar-plus fa-2x text-gray-300"></i>
                    </div>
                    </div>
                </div>
                </div>
            </div>
        </form>
    </div>
</div>

<script>
    $(function() {
        $("#id_categoria").val("{{ obj.subcategoria.categoria.id }}").change();
        $("#id_subcategoria").val("{{ obj.subcategoria.id }}").change();
        $("#id_subcategoria").chained("#id_categoria");
    });
</script>

inv/templates/inv/subcategoria_list.html
{% extends 'base/base.html' %}

{% block page_content %}
<div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
      <h6 class="m-0 font-weight-bold text-primary">Listado de Sub Categorías</h6>
      <div class="dropdown no-arrow">
        <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
        </a>
        <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
          <div class="dropdown-header">Acciones</div>
          <a class="dropdown-item" href="{% url 'inv:subcategoria_new' %}"><i class="far fa-calendar-plus"></i> Nueva</a>
        </div>
      </div>
    </div>
    <!-- Card Body -->
    <div class="card-body">
      {% if not obj %}
      <div class="alert alert-info">No hay Sub Categorías</div>
      {% else %}
      <table class="table table-striped table-hover">
          <thead>
              <th>Categoría</th>
              <th>Id</th>
              <th>Descripción</th>
              <th>Estado</th>
              <th>F. Creado</th>
              <th>F. Modif.</th>
              <th class="all">Acciones</th>
          </thead>
          <tbody>
              {% for item in obj %}
              <tr>
                  <td>{{ item.categoria }}</td>
                  <td>{{ item.id }}</td>
                  <td>{{ item.descripcion }}</td>
                  <td>{{ item.estado|yesno:"Activo,Inactivo" }}</td>
                  <td>{{ item.fc|date:"d/m/Y H:i:s" }}</td>
                  <td>{{ item.fm|date:"d/m/Y H:i:s" }}</td>
                  <td>
                    <a href="{% url 'inv:subcategoria_edit' item.id %}" class="btn btn-warning btn-circle" role="button"><i class="far fa-edit"></i></a> 
                    <a href="{% url 'inv:subcategoria_del' item.id %}" class="btn btn-danger btn-circle" role="button"><i class="far fa-trash-alt"></i></a>
                  </td>
              </tr>
              {% endfor %}
          </tbody>
      </table>
      {% endif %}
    </div>
  </div>
{% endblock %}

{% block js_page %}
<script>
  // Call the dataTables jQuery plugin
  $(document).ready(function() {
    $('.table').DataTable();
  });
</script>
{% endblock %}